Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jmx.adaptor.snmp.config.notification
Class VarBind

    java.lang.Object
      org.jboss.jmx.adaptor.snmp.config.notification.VarBind

All Implemented Interfaces:
  Serializable

public class VarBind
extends Object
implements Serializable

Class VarBind.

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Constructor Summary
`VarBind()`

Method Summary
`String` | `getOid()` Method getOidReturns the value of field 'oid'.
`String` | `getTag()` Method getTagReturns the value of field 'tag'.
`boolean` | `isValid()` Method isValid
`void` | `marshal(ContentHandler handler)` Method marshal
`void` | `marshal(Writer out)` Method marshal
`void` | `setOid(String oid)` Method setOidSets the value of field 'oid'.
`void` | `setTag(String tag)` Method setTagSets the value of field 'tag'.
`static VarBind` | `unmarshal(Reader reader)` Method unmarshal
`void` | `validate()` Method validate

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VarBind

    public VarBind()

Method Detail

### getOid

    public String getOid()

  Method getOidReturns the value of field 'oid'.

  Returns:
    the value of field 'oid'.

### getTag

    public String getTag()

  Method getTagReturns the value of field 'tag'.

  Returns:
    the value of field 'tag'.

### isValid

    public boolean isValid()

  Method isValid

### marshal

    public void marshal(Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Method marshal

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### marshal

    public void marshal(ContentHandler handler)
                 throws IOException,
                        org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Method marshal

  Parameters:
    `handler` -
  Throws:
    `IOException`
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### setOid

    public void setOid(String oid)

  Method setOidSets the value of field 'oid'.

  Parameters:
    `oid` - the value of field 'oid'.

### setTag

    public void setTag(String tag)

  Method setTagSets the value of field 'tag'.

  Parameters:
    `tag` - the value of field 'tag'.

### unmarshal

    public static VarBind unmarshal(Reader reader)
                             throws org.exolab.castor.xml.MarshalException,
                                    org.exolab.castor.xml.ValidationException

  Method unmarshal

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Method validate

  Throws:
    `org.exolab.castor.xml.ValidationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.